import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const deactivateGuildService = createAsyncThunk(
  "DEACTIVATE_GUILD_SERVICE",
  async (key, { dispatch }) => {
    try {
      dispatch(LOADING_START());
      const { data, status } = await axios.get(
        `deactivate_guild/?key=${key}&guild=true`
      );
      dispatch(LOADING_END());
      return { data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return { error: e.response?.data?.result || e.message };
    }
  }
);
